import request from "@/utils/request";

export function listBankStatement(query) {
  return request({
    url: "/ccdi/project/bank-statement/list",
    method: "get",
    params: query,
  });
}

export function listBankStatementCounterparties(query) {
  return request({
    url: "/ccdi/project/bank-statement/counterparty/list",
    method: "get",
    params: query,
  });
}

export function getBankStatementOptions(projectId) {
  return request({
    url: "/ccdi/project/bank-statement/options",
    method: "get",
    params: {
      projectId,
    },
  });
}

export function getBankStatementDetail(bankStatementId, params) {
  return request({
    url: `/ccdi/project/bank-statement/detail/${bankStatementId}`,
    method: "get",
    params,
  });
}
